<?xml version="1.0" encoding="utf-8" ?>
<html>
  <head>
    <title id="titre">CM4: exemples de chargements asynchrones</title>
    <meta charset="UTF-8" />
    <script src="./CM4-Async.js" type="text/javascript"></script>
    <script src="./CM4-Async-ajaxCB.js" type="text/javascript"></script>
    <script src="./CM4-Async-ajaxPromise.js" type="text/javascript"></script>
  </head>
  <body>
    <h1>Exemples de chargements asynchrone</h1>

    Voir
    <a
      href="https://perso.liris.cnrs.fr/emmanuel.coquery/home/enseignement/lifap5/CM4/"
      target="_blank"
      >la liste des fichiers sur le serveur</a
    >.

    <h2>Un seul fichier</h2>

    <input type="text" id="input-name" value="ex2.json" />
    <p>
      <input
        type="button"
        id="callback-single-btn"
        value="Charger (XMLHttpRequest)"
      />
      <input type="button" id="promise-single-btn" value="Charger (Promise)" />
      <input type="button" id="fetch-single-btn" value="Charger (Fetch)" />
      <input type="button" id="reset-single-btn" value="Reset" />
    </p>

    <pre id="content-single"></pre>
    <br />

    <h2>Plusieurs fichiers</h2>

    <h3>Liste des fichiers</h3>
    <ul id="file-list">
      <li>
        <input type="checkbox" value="ex1.json" checked="true" id="file-ex1" />
        ex1.json
      </li>
      <li>
        <input type="checkbox" value="ex2.json" checked="true" id="file-ex2" />
        ex2.json
      </li>
      <li>
        <input type="checkbox" value="ex3.json" checked="true" id="file-ex3" />
        ex3.json
      </li>
      <li>
        <input type="checkbox" value="undefined.json" id="file-ex4" />(non
        existant)
      </li>
    </ul>
    <p>
      <input type="button" id="callback-btn" value="Charger (XMLHttpRequest)" />
      <input type="button" id="promise-btn" value="Charger (Promise)" />
      <input type="button" id="fetch-btn" value="Charger (fetch)" />
      <input type="button" id="reset-btn" value="Reset" />
    </p>

    <pre id="content-files"></pre>
    <br />
  </body>
</html>
